Description

Reproduction steps:

¢ |oad the attached quicksave. It contains a "ship" that is about to exit Kerbin SOI in 5 minutes and has projected Solar apoapsis
very close to 70 mil km.

e time warp at reduced rate (up to 50x) to exit the SOI

e after exiting the SOI reduce time warp to x5 and verify interplanetary apoapsis (should be still close to 70 mil km)

¢ enter highest time warp by clicking on the time warp arrow (can be reproduced also by rapid presses of the time warp key but
click is more reliable for reproduction)

Notice:

¢ about minute before exiting the SOI, the game stops drawing the SOI exit icon at the end of the trajectory, instead it is displayed
on the other side of SOI. Also projected interplanetary trajectory is very different. As of my experience this is only visual bug with
no or very small impact on resulting trajectory

¢ after exiting the SOI, the interplanetary apoapsis is still near 70 mil km as it should be

e after starting time warp, the ship immediately switches inside Kerbin SOI, then leaves it again

e after leaving Kerbin SOI for the second time, the interplanetary trajectory (represented by apoapsis) might be significantly
changed - in my case, the apoapsis was about 500 000 km lower which in case of transfer to Jool might mean completely losing
the intercept.

In output_log, there are three SOI changes recorded:

[OrbitDriver]: On-Rails SOI Transition from Sun to Sun.
Transition UT Range: 373003489.666 - 373003499.666.
Transition UT: 373003499.334. Iterations: 10.

setting new dominant body: the Sun
FlightGlobals.mainBody: Kerbin

[OrbitDriver]: On-Rails SOI Transition from Kerbin to Kerbin.
Transition UT Range: 373002909.589 - 373003531.712.
Transition UT: 373003499.342. lterations: 16.

setting new dominant body: Kerbin

FlightGlobals.mainBody: the Sun

[OrbitDriver]: On-Rails SOI Transition from Sun to Sun.
Transition UT Range: 373005820.72 - 373005870.72.
Transition UT: 373005820.72. Iterations: 13.

setting new dominant body: the Sun
FlightGlobals.mainBody: Kerbin

Guessed cause: the check whether the ship entered another SOI or not is performed after the planet/moon position is updated by the
simulation, but before the ship's position is updated. Since at high time warp the change in distance by which the planet moves is
much higher than at low time warp, if the ship is close enough to the SOI in the direction of the planet's movement, it might appear
inside the SOI again after entering high time warp.

Similar problem occurs when entering time warp on entering a planetary SOI again in planetary prograde direction - this time the ship
suddenly appears outside the SOI after entering time warp.
History

#1 - 09/25/2015 03:18 PM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

The SOl flip flopping has been observed, and there are also issues with constantly changing AP when the craft is not under acceleration except for

gravity. This happens regardless of warp, and warp seems to exacerbate to problems.

It does need thorough investigation, and a read of the recent devnotes may point to possible forthcoming improvements in this area.

Forwarded for attention.

#3 - 07/17/2016 09:39 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 10/15/2016 07:06 PM - Kasuha

Appears fixed in 1.2, the ship no longer re-enters the SOI after entering time warp

#5 - 11/01/2016 12:49 PM - TriggerAu
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

Thanks for the update Kashua

#6 - 04/29/2017 07:43 AM - maxsmacker

I've seen the "constantly changing apopapsis when the craft is not under acceleration except for gravity" lots of times. Very annoying. Sometimes

changing to the tracking station and back locks it.
